Bug 1271989 - Access resources page meet 404 error after switching projects
Access resources page meet 404 error after switching projects
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 04:47 EDT by Yanping Zhang
Modified: 2015-11-23 16:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:13:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
404-error (231.14 KB, image/png)
2015-10-15 04:47 EDT, Yanping Zhang
no flags Details

  None (edit)
Description Yanping Zhang 2015-10-15 04:47:10 EDT
Description of problem:
On web console, after switch from a project to another project, access the resources under "Browse" will meet 404 error.

Version-Release number of selected component (if applicable):
openshift v1.0.6-622-g47d1103
kubernetes v1.1.0-alpha.1-653-g86b4e77

How reproducible:
Always

Steps to Reproduce:
1.Create app in two projects individually.
2.Access resources under "Browse" in project one.
3.Switch to project two. Access some resources under "Browse", such as "Pods-> podname", "Services-> servicename" and so on.

Actual results:
3.Error shows up in the page. Check the log in console:
 GET https://52.91.165.105:8443/api/v1/namespaces/pro1/services/simple-openshift-sinatra 404 (Not Found) .
Pls refer to the attachment.

Expected results:
4.Should show resources without error.

Additional info:
Comment 1 Yanping Zhang 2015-10-15 04:47 EDT
Created attachment 1083184 [details]
404-error
Comment 2 Jessica Forrester 2015-10-19 13:43:53 EDT
Fixed in https://github.com/openshift/origin/pull/5209
Comment 3 Yanping Zhang 2015-10-20 02:19:37 EDT
Wait for the code to be merged in pr 5209. QE Will verify then.
Comment 4 openshift-github-bot 2015-10-20 12:25:12 EDT
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/5fd31ba4a392e7ad6cdf79c5c8189173213a2a02
Bug 1271989 - error when navigating to resources in diff projects

Also fixes an issue with the project dropdown not containing all projects
when on a page that uses the new project service instead of the nested controllers
Comment 5 Yanping Zhang 2015-10-21 00:46:21 EDT
Tested on latest origin code, the issue has been fixed.
$ openshift version
openshift v1.0.6-803-g7c12c7a
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4
etcd 2.1.2

Steps to verify:
1.Create app in two projects individually.
2.Access resources under "Browse" in project one.
3.Switch to project two. Access some resources under "Browse", such as "Pods-> podname", "Services-> servicename" and so on.

Actual results:
3.Could access resources without errors.

Note You need to log in before you can comment on or make changes to this bug.